Setting NEWS file as ustream changelog (satisfy lintian notice).
[debian/pcmanfm.git] / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19 case $${target_option-} in \
20 ?) ;; \
21 *) echo "am__make_running_with_option: internal error: invalid" \
22 "target option '$${target_option-}' specified" >&2; \
23 exit 1;; \
24 esac; \
25 has_opt=no; \
26 sane_makeflags=$$MAKEFLAGS; \
27 if $(am__is_gnu_make); then \
28 sane_makeflags=$$MFLAGS; \
29 else \
30 case $$MAKEFLAGS in \
31 *\\[\ \ ]*) \
32 bs=\\; \
33 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
35 esac; \
36 fi; \
37 skip_next=no; \
38 strip_trailopt () \
39 { \
40 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41 }; \
42 for flg in $$sane_makeflags; do \
43 test $$skip_next = yes && { skip_next=no; continue; }; \
44 case $$flg in \
45 *=*|--*) continue;; \
46 -*I) strip_trailopt 'I'; skip_next=yes;; \
47 -*I?*) strip_trailopt 'I';; \
48 -*O) strip_trailopt 'O'; skip_next=yes;; \
49 -*O?*) strip_trailopt 'O';; \
50 -*l) strip_trailopt 'l'; skip_next=yes;; \
51 -*l?*) strip_trailopt 'l';; \
52 -[dEDm]) skip_next=yes;; \
53 -[JT]) skip_next=yes;; \
54 esac; \
55 case $$flg in \
56 *$$target_option*) has_opt=yes; break;; \
57 esac; \
58 done; \
59 test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 subdir = .
79 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
80 $(top_srcdir)/configure $(am__configure_deps) \
81 $(srcdir)/config.h.in AUTHORS COPYING ChangeLog INSTALL NEWS \
82 README TODO compile depcomp install-sh missing
83 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
84 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
85 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
86 $(ACLOCAL_M4)
87 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
88 configure.lineno config.status.lineno
89 mkinstalldirs = $(install_sh) -d
90 CONFIG_HEADER = config.h
91 CONFIG_CLEAN_FILES =
92 CONFIG_CLEAN_VPATH_FILES =
93 AM_V_P = $(am__v_P_@AM_V@)
94 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
95 am__v_P_0 = false
96 am__v_P_1 = :
97 AM_V_GEN = $(am__v_GEN_@AM_V@)
98 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
99 am__v_GEN_0 = @echo " GEN " $@;
100 am__v_GEN_1 =
101 AM_V_at = $(am__v_at_@AM_V@)
102 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
103 am__v_at_0 = @
104 am__v_at_1 =
105 SOURCES =
106 DIST_SOURCES =
107 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
108 ctags-recursive dvi-recursive html-recursive info-recursive \
109 install-data-recursive install-dvi-recursive \
110 install-exec-recursive install-html-recursive \
111 install-info-recursive install-pdf-recursive \
112 install-ps-recursive install-recursive installcheck-recursive \
113 installdirs-recursive pdf-recursive ps-recursive \
114 tags-recursive uninstall-recursive
115 am__can_run_installinfo = \
116 case $$AM_UPDATE_INFO_DIR in \
117 n|no|NO) false;; \
118 *) (install-info --version) >/dev/null 2>&1;; \
119 esac
120 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
121 distclean-recursive maintainer-clean-recursive
122 am__recursive_targets = \
123 $(RECURSIVE_TARGETS) \
124 $(RECURSIVE_CLEAN_TARGETS) \
125 $(am__extra_recursive_targets)
126 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
127 cscope distdir dist dist-all distcheck
128 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
129 $(LISP)config.h.in
130 # Read a list of newline-separated strings from the standard input,
131 # and print each of them once, without duplicates. Input order is
132 # *not* preserved.
133 am__uniquify_input = $(AWK) '\
134 BEGIN { nonempty = 0; } \
135 { items[$$0] = 1; nonempty = 1; } \
136 END { if (nonempty) { for (i in items) print i; }; } \
137 '
138 # Make sure the list of sources is unique. This is necessary because,
139 # e.g., the same source file might be shared among _SOURCES variables
140 # for different programs/libraries.
141 am__define_uniq_tagged_files = \
142 list='$(am__tagged_files)'; \
143 unique=`for i in $$list; do \
144 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
145 done | $(am__uniquify_input)`
146 ETAGS = etags
147 CTAGS = ctags
148 CSCOPE = cscope
149 DIST_SUBDIRS = $(SUBDIRS)
150 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
151 distdir = $(PACKAGE)-$(VERSION)
152 top_distdir = $(distdir)
153 am__remove_distdir = \
154 if test -d "$(distdir)"; then \
155 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
156 && rm -rf "$(distdir)" \
157 || { sleep 5 && rm -rf "$(distdir)"; }; \
158 else :; fi
159 am__post_remove_distdir = $(am__remove_distdir)
160 am__relativize = \
161 dir0=`pwd`; \
162 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
163 sed_rest='s,^[^/]*/*,,'; \
164 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
165 sed_butlast='s,/*[^/]*$$,,'; \
166 while test -n "$$dir1"; do \
167 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
168 if test "$$first" != "."; then \
169 if test "$$first" = ".."; then \
170 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
171 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
172 else \
173 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
174 if test "$$first2" = "$$first"; then \
175 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
176 else \
177 dir2="../$$dir2"; \
178 fi; \
179 dir0="$$dir0"/"$$first"; \
180 fi; \
181 fi; \
182 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
183 done; \
184 reldir="$$dir2"
185 GZIP_ENV = --best
186 DIST_ARCHIVES = $(distdir).tar.xz
187 DIST_TARGETS = dist-xz
188 distuninstallcheck_listfiles = find . -type f -print
189 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
190 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
191 distcleancheck_listfiles = find . -type f -print
192 ACLOCAL = @ACLOCAL@
193 ALL_LINGUAS = @ALL_LINGUAS@
194 AMTAR = @AMTAR@
195 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
196 AUTOCONF = @AUTOCONF@
197 AUTOHEADER = @AUTOHEADER@
198 AUTOMAKE = @AUTOMAKE@
199 AWK = @AWK@
200 CATALOGS = @CATALOGS@
201 CATOBJEXT = @CATOBJEXT@
202 CC = @CC@
203 CCDEPMODE = @CCDEPMODE@
204 CFLAGS = @CFLAGS@
205 CPP = @CPP@
206 CPPFLAGS = @CPPFLAGS@
207 CYGPATH_W = @CYGPATH_W@
208 DATADIRNAME = @DATADIRNAME@
209 DEFS = @DEFS@
210 DEPDIR = @DEPDIR@
211 ECHO_C = @ECHO_C@
212 ECHO_N = @ECHO_N@
213 ECHO_T = @ECHO_T@
214 EGREP = @EGREP@
215 EXEEXT = @EXEEXT@
216 FM_CFLAGS = @FM_CFLAGS@
217 FM_LIBS = @FM_LIBS@
218 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
219 GIO_CFLAGS = @GIO_CFLAGS@
220 GIO_LIBS = @GIO_LIBS@
221 GMOFILES = @GMOFILES@
222 GMSGFMT = @GMSGFMT@
223 GREP = @GREP@
224 G_CAST_CHECKS = @G_CAST_CHECKS@
225 INSTALL = @INSTALL@
226 INSTALL_DATA = @INSTALL_DATA@
227 INSTALL_PROGRAM = @INSTALL_PROGRAM@
228 INSTALL_SCRIPT = @INSTALL_SCRIPT@
229 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
230 INSTOBJEXT = @INSTOBJEXT@
231 INTLLIBS = @INTLLIBS@
232 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
233 INTLTOOL_MERGE = @INTLTOOL_MERGE@
234 INTLTOOL_PERL = @INTLTOOL_PERL@
235 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
236 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
237 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
238 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
239 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
240 LDFLAGS = @LDFLAGS@
241 LIBOBJS = @LIBOBJS@
242 LIBS = @LIBS@
243 LTLIBOBJS = @LTLIBOBJS@
244 MAKEINFO = @MAKEINFO@
245 MKDIR_P = @MKDIR_P@
246 MKINSTALLDIRS = @MKINSTALLDIRS@
247 MSGFMT = @MSGFMT@
248 MSGFMT_OPTS = @MSGFMT_OPTS@
249 MSGMERGE = @MSGMERGE@
250 OBJEXT = @OBJEXT@
251 PACKAGE = @PACKAGE@
252 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
253 PACKAGE_NAME = @PACKAGE_NAME@
254 PACKAGE_STRING = @PACKAGE_STRING@
255 PACKAGE_TARNAME = @PACKAGE_TARNAME@
256 PACKAGE_URL = @PACKAGE_URL@
257 PACKAGE_VERSION = @PACKAGE_VERSION@
258 PATH_SEPARATOR = @PATH_SEPARATOR@
259 PKG_CONFIG = @PKG_CONFIG@
260 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
261 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
262 POFILES = @POFILES@
263 POSUB = @POSUB@
264 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
265 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
266 SET_MAKE = @SET_MAKE@
267 SHELL = @SHELL@
268 STRIP = @STRIP@
269 USE_NLS = @USE_NLS@
270 VERSION = @VERSION@
271 XGETTEXT = @XGETTEXT@
272 XLIB_CFLAGS = @XLIB_CFLAGS@
273 XLIB_LIBS = @XLIB_LIBS@
274 abs_builddir = @abs_builddir@
275 abs_srcdir = @abs_srcdir@
276 abs_top_builddir = @abs_top_builddir@
277 abs_top_srcdir = @abs_top_srcdir@
278 ac_ct_CC = @ac_ct_CC@
279 am__include = @am__include@
280 am__leading_dot = @am__leading_dot@
281 am__quote = @am__quote@
282 am__tar = @am__tar@
283 am__untar = @am__untar@
284 bindir = @bindir@
285 build_alias = @build_alias@
286 builddir = @builddir@
287 datadir = @datadir@
288 datarootdir = @datarootdir@
289 docdir = @docdir@
290 dvidir = @dvidir@
291 exec_prefix = @exec_prefix@
292 host_alias = @host_alias@
293 htmldir = @htmldir@
294 includedir = @includedir@
295 infodir = @infodir@
296 install_sh = @install_sh@
297 intltool__v_merge_options_ = @intltool__v_merge_options_@
298 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
299 libdir = @libdir@
300 libexecdir = @libexecdir@
301 localedir = @localedir@
302 localstatedir = @localstatedir@
303 mandir = @mandir@
304 mkdir_p = @mkdir_p@
305 oldincludedir = @oldincludedir@
306 pdfdir = @pdfdir@
307 prefix = @prefix@
308 program_transform_name = @program_transform_name@
309 psdir = @psdir@
310 sbindir = @sbindir@
311 sharedstatedir = @sharedstatedir@
312 srcdir = @srcdir@
313 sysconfdir = @sysconfdir@
314 target_alias = @target_alias@
315 top_build_prefix = @top_build_prefix@
316 top_builddir = @top_builddir@
317 top_srcdir = @top_srcdir@
318 NULL =
319 SUBDIRS = src po data
320 EXTRA_DIST = \
321 $(NULL)
322
323 all: config.h
324 $(MAKE) $(AM_MAKEFLAGS) all-recursive
325
326 .SUFFIXES:
327 am--refresh: Makefile
328 @:
329 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
330 @for dep in $?; do \
331 case '$(am__configure_deps)' in \
332 *$$dep*) \
333 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
334 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
335 && exit 0; \
336 exit 1;; \
337 esac; \
338 done; \
339 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
340 $(am__cd) $(top_srcdir) && \
341 $(AUTOMAKE) --foreign Makefile
342 .PRECIOUS: Makefile
343 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
344 @case '$?' in \
345 *config.status*) \
346 echo ' $(SHELL) ./config.status'; \
347 $(SHELL) ./config.status;; \
348 *) \
349 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
350 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
351 esac;
352
353 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
354 $(SHELL) ./config.status --recheck
355
356 $(top_srcdir)/configure: $(am__configure_deps)
357 $(am__cd) $(srcdir) && $(AUTOCONF)
358 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
359 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
360 $(am__aclocal_m4_deps):
361
362 config.h: stamp-h1
363 @test -f $@ || rm -f stamp-h1
364 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
365
366 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
367 @rm -f stamp-h1
368 cd $(top_builddir) && $(SHELL) ./config.status config.h
369 $(srcdir)/config.h.in: $(am__configure_deps)
370 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
371 rm -f stamp-h1
372 touch $@
373
374 distclean-hdr:
375 -rm -f config.h stamp-h1
376
377 # This directory's subdirectories are mostly independent; you can cd
378 # into them and run 'make' without going through this Makefile.
379 # To change the values of 'make' variables: instead of editing Makefiles,
380 # (1) if the variable is set in 'config.status', edit 'config.status'
381 # (which will cause the Makefiles to be regenerated when you run 'make');
382 # (2) otherwise, pass the desired values on the 'make' command line.
383 $(am__recursive_targets):
384 @fail=; \
385 if $(am__make_keepgoing); then \
386 failcom='fail=yes'; \
387 else \
388 failcom='exit 1'; \
389 fi; \
390 dot_seen=no; \
391 target=`echo $@ | sed s/-recursive//`; \
392 case "$@" in \
393 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
394 *) list='$(SUBDIRS)' ;; \
395 esac; \
396 for subdir in $$list; do \
397 echo "Making $$target in $$subdir"; \
398 if test "$$subdir" = "."; then \
399 dot_seen=yes; \
400 local_target="$$target-am"; \
401 else \
402 local_target="$$target"; \
403 fi; \
404 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
405 || eval $$failcom; \
406 done; \
407 if test "$$dot_seen" = "no"; then \
408 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
409 fi; test -z "$$fail"
410
411 ID: $(am__tagged_files)
412 $(am__define_uniq_tagged_files); mkid -fID $$unique
413 tags: tags-recursive
414 TAGS: tags
415
416 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
417 set x; \
418 here=`pwd`; \
419 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
420 include_option=--etags-include; \
421 empty_fix=.; \
422 else \
423 include_option=--include; \
424 empty_fix=; \
425 fi; \
426 list='$(SUBDIRS)'; for subdir in $$list; do \
427 if test "$$subdir" = .; then :; else \
428 test ! -f $$subdir/TAGS || \
429 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
430 fi; \
431 done; \
432 $(am__define_uniq_tagged_files); \
433 shift; \
434 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
435 test -n "$$unique" || unique=$$empty_fix; \
436 if test $$# -gt 0; then \
437 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
438 "$$@" $$unique; \
439 else \
440 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
441 $$unique; \
442 fi; \
443 fi
444 ctags: ctags-recursive
445
446 CTAGS: ctags
447 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
448 $(am__define_uniq_tagged_files); \
449 test -z "$(CTAGS_ARGS)$$unique" \
450 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
451 $$unique
452
453 GTAGS:
454 here=`$(am__cd) $(top_builddir) && pwd` \
455 && $(am__cd) $(top_srcdir) \
456 && gtags -i $(GTAGS_ARGS) "$$here"
457 cscope: cscope.files
458 test ! -s cscope.files \
459 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
460 clean-cscope:
461 -rm -f cscope.files
462 cscope.files: clean-cscope cscopelist
463 cscopelist: cscopelist-recursive
464
465 cscopelist-am: $(am__tagged_files)
466 list='$(am__tagged_files)'; \
467 case "$(srcdir)" in \
468 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
469 *) sdir=$(subdir)/$(srcdir) ;; \
470 esac; \
471 for i in $$list; do \
472 if test -f "$$i"; then \
473 echo "$(subdir)/$$i"; \
474 else \
475 echo "$$sdir/$$i"; \
476 fi; \
477 done >> $(top_builddir)/cscope.files
478
479 distclean-tags:
480 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
481 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
482
483 distdir: $(DISTFILES)
484 $(am__remove_distdir)
485 test -d "$(distdir)" || mkdir "$(distdir)"
486 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
487 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
488 list='$(DISTFILES)'; \
489 dist_files=`for file in $$list; do echo $$file; done | \
490 sed -e "s|^$$srcdirstrip/||;t" \
491 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
492 case $$dist_files in \
493 */*) $(MKDIR_P) `echo "$$dist_files" | \
494 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
495 sort -u` ;; \
496 esac; \
497 for file in $$dist_files; do \
498 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
499 if test -d $$d/$$file; then \
500 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
501 if test -d "$(distdir)/$$file"; then \
502 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
503 fi; \
504 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
505 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
506 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
507 fi; \
508 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
509 else \
510 test -f "$(distdir)/$$file" \
511 || cp -p $$d/$$file "$(distdir)/$$file" \
512 || exit 1; \
513 fi; \
514 done
515 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
516 if test "$$subdir" = .; then :; else \
517 $(am__make_dryrun) \
518 || test -d "$(distdir)/$$subdir" \
519 || $(MKDIR_P) "$(distdir)/$$subdir" \
520 || exit 1; \
521 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
522 $(am__relativize); \
523 new_distdir=$$reldir; \
524 dir1=$$subdir; dir2="$(top_distdir)"; \
525 $(am__relativize); \
526 new_top_distdir=$$reldir; \
527 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
528 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
529 ($(am__cd) $$subdir && \
530 $(MAKE) $(AM_MAKEFLAGS) \
531 top_distdir="$$new_top_distdir" \
532 distdir="$$new_distdir" \
533 am__remove_distdir=: \
534 am__skip_length_check=: \
535 am__skip_mode_fix=: \
536 distdir) \
537 || exit 1; \
538 fi; \
539 done
540 -test -n "$(am__skip_mode_fix)" \
541 || find "$(distdir)" -type d ! -perm -755 \
542 -exec chmod u+rwx,go+rx {} \; -o \
543 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
544 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
545 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
546 || chmod -R a+r "$(distdir)"
547 dist-gzip: distdir
548 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
549 $(am__post_remove_distdir)
550
551 dist-bzip2: distdir
552 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
553 $(am__post_remove_distdir)
554
555 dist-lzip: distdir
556 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
557 $(am__post_remove_distdir)
558 dist-xz: distdir
559 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
560 $(am__post_remove_distdir)
561
562 dist-tarZ: distdir
563 @echo WARNING: "Support for shar distribution archives is" \
564 "deprecated." >&2
565 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
566 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
567 $(am__post_remove_distdir)
568
569 dist-shar: distdir
570 @echo WARNING: "Support for distribution archives compressed with" \
571 "legacy program 'compress' is deprecated." >&2
572 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
573 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
574 $(am__post_remove_distdir)
575
576 dist-zip: distdir
577 -rm -f $(distdir).zip
578 zip -rq $(distdir).zip $(distdir)
579 $(am__post_remove_distdir)
580
581 dist dist-all:
582 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
583 $(am__post_remove_distdir)
584
585 # This target untars the dist file and tries a VPATH configuration. Then
586 # it guarantees that the distribution is self-contained by making another
587 # tarfile.
588 distcheck: dist
589 case '$(DIST_ARCHIVES)' in \
590 *.tar.gz*) \
591 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
592 *.tar.bz2*) \
593 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
594 *.tar.lz*) \
595 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
596 *.tar.xz*) \
597 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
598 *.tar.Z*) \
599 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
600 *.shar.gz*) \
601 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
602 *.zip*) \
603 unzip $(distdir).zip ;;\
604 esac
605 chmod -R a-w $(distdir)
606 chmod u+w $(distdir)
607 mkdir $(distdir)/_build $(distdir)/_inst
608 chmod a-w $(distdir)
609 test -d $(distdir)/_build || exit 0; \
610 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
611 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
612 && am__cwd=`pwd` \
613 && $(am__cd) $(distdir)/_build \
614 && ../configure \
615 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
616 $(DISTCHECK_CONFIGURE_FLAGS) \
617 --srcdir=.. --prefix="$$dc_install_base" \
618 && $(MAKE) $(AM_MAKEFLAGS) \
619 && $(MAKE) $(AM_MAKEFLAGS) dvi \
620 && $(MAKE) $(AM_MAKEFLAGS) check \
621 && $(MAKE) $(AM_MAKEFLAGS) install \
622 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
623 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
624 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
625 distuninstallcheck \
626 && chmod -R a-w "$$dc_install_base" \
627 && ({ \
628 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
629 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
630 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
631 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
632 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
633 } || { rm -rf "$$dc_destdir"; exit 1; }) \
634 && rm -rf "$$dc_destdir" \
635 && $(MAKE) $(AM_MAKEFLAGS) dist \
636 && rm -rf $(DIST_ARCHIVES) \
637 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
638 && cd "$$am__cwd" \
639 || exit 1
640 $(am__post_remove_distdir)
641 @(echo "$(distdir) archives ready for distribution: "; \
642 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
643 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
644 distuninstallcheck:
645 @test -n '$(distuninstallcheck_dir)' || { \
646 echo 'ERROR: trying to run $@ with an empty' \
647 '$$(distuninstallcheck_dir)' >&2; \
648 exit 1; \
649 }; \
650 $(am__cd) '$(distuninstallcheck_dir)' || { \
651 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
652 exit 1; \
653 }; \
654 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
655 || { echo "ERROR: files left after uninstall:" ; \
656 if test -n "$(DESTDIR)"; then \
657 echo " (check DESTDIR support)"; \
658 fi ; \
659 $(distuninstallcheck_listfiles) ; \
660 exit 1; } >&2
661 distcleancheck: distclean
662 @if test '$(srcdir)' = . ; then \
663 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
664 exit 1 ; \
665 fi
666 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
667 || { echo "ERROR: files left in build directory after distclean:" ; \
668 $(distcleancheck_listfiles) ; \
669 exit 1; } >&2
670 check-am: all-am
671 check: check-recursive
672 all-am: Makefile config.h
673 installdirs: installdirs-recursive
674 installdirs-am:
675 install: install-recursive
676 install-exec: install-exec-recursive
677 install-data: install-data-recursive
678 uninstall: uninstall-recursive
679
680 install-am: all-am
681 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
682
683 installcheck: installcheck-recursive
684 install-strip:
685 if test -z '$(STRIP)'; then \
686 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
687 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
688 install; \
689 else \
690 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
691 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
692 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
693 fi
694 mostlyclean-generic:
695
696 clean-generic:
697
698 distclean-generic:
699 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
700 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
701
702 maintainer-clean-generic:
703 @echo "This command is intended for maintainers to use"
704 @echo "it deletes files that may require special tools to rebuild."
705 clean: clean-recursive
706
707 clean-am: clean-generic mostlyclean-am
708
709 distclean: distclean-recursive
710 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
711 -rm -f Makefile
712 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
713
714 dvi: dvi-recursive
715
716 dvi-am:
717
718 html: html-recursive
719
720 html-am:
721
722 info: info-recursive
723
724 info-am:
725
726 install-data-am:
727
728 install-dvi: install-dvi-recursive
729
730 install-dvi-am:
731
732 install-exec-am:
733
734 install-html: install-html-recursive
735
736 install-html-am:
737
738 install-info: install-info-recursive
739
740 install-info-am:
741
742 install-man:
743
744 install-pdf: install-pdf-recursive
745
746 install-pdf-am:
747
748 install-ps: install-ps-recursive
749
750 install-ps-am:
751
752 installcheck-am:
753
754 maintainer-clean: maintainer-clean-recursive
755 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
756 -rm -rf $(top_srcdir)/autom4te.cache
757 -rm -f Makefile
758 maintainer-clean-am: distclean-am maintainer-clean-generic
759
760 mostlyclean: mostlyclean-recursive
761
762 mostlyclean-am: mostlyclean-generic
763
764 pdf: pdf-recursive
765
766 pdf-am:
767
768 ps: ps-recursive
769
770 ps-am:
771
772 uninstall-am:
773
774 .MAKE: $(am__recursive_targets) all install-am install-strip
775
776 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
777 am--refresh check check-am clean clean-cscope clean-generic \
778 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
779 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
780 distcheck distclean distclean-generic distclean-hdr \
781 distclean-tags distcleancheck distdir distuninstallcheck dvi \
782 dvi-am html html-am info info-am install install-am \
783 install-data install-data-am install-dvi install-dvi-am \
784 install-exec install-exec-am install-html install-html-am \
785 install-info install-info-am install-man install-pdf \
786 install-pdf-am install-ps install-ps-am install-strip \
787 installcheck installcheck-am installdirs installdirs-am \
788 maintainer-clean maintainer-clean-generic mostlyclean \
789 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
790 uninstall-am
791
792
793 # Tell versions [3.59,3.63) of GNU make to not export all variables.
794 # Otherwise a system limit (for SysV at least) may be exceeded.
795 .NOEXPORT: